import java.io.*;
import java.util.*;

public class MaartenPaths {
    public static void main(String[] args) throws IOException {
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            new MaartenPaths().run(new Scanner(reader));
        }
    }

    public void run(Scanner sc) throws IOException {
        String[] src1 = sc.nextLine().split("/");
        String[] dst1 = sc.nextLine().split("/");
        int n = src1.length, m = dst1.length;
        String[] src = new String[n + 2];
        String[] dst = new String[m + 2];
        src[0] = src[n + 1] = dst[0] = dst[m + 1] = "";
        System.arraycopy(src1, 0, src, 1, n);
        System.arraycopy(dst1, 0, dst, 1, m);

        int i = 1;
        int j = 1;
        while (src[i].equals(dst[i]))
            i += 1;
        while (src[n - j + 1].equals(dst[m - j + 1]))
            j += 1;

        StringBuilder res = new StringBuilder();
        for (int k = 1; k < i; k++) {
            res.append(src[k]).append("/");
        }
        res.append("{");
        StringJoiner B = new StringJoiner("/");
        for (int k = i; k < n + 2 - j; k++) {
            B.add(src[k]);
        }
        res.append(B);
        res.append(" => ");
        StringJoiner C = new StringJoiner("/");
        for (int k = i; k < m + 2 - j; k++) {
            C.add(dst[k]);
        }
        res.append(C);
        res.append("}");
        for (int k = n + 2 - j; k <= n; k++) {
            res.append("/").append(src[k]);
        }
        System.out.println(res);
    }
}
