import java.io.*;
import java.util.*;

import static java.lang.Integer.*;

public class MaartenPruningPowLoop {
    public static void main(String[] args) throws IOException {
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            new MaartenPruningPowLoop().run(reader);
        }
    }

    public static final int MOD = 1_000_000_007;

    public void run(BufferedReader reader) throws IOException {

        int[] pow_2 = new int[1_000_010];
        pow_2[0] = 1;
        for (int i = 1; i < pow_2.length; i++) {
            pow_2[i] = (pow_2[i - 1] * 2) % MOD;
        }

        String[] firstLine = reader.readLine().split(" ");
        int a = parseInt(firstLine[0]);
        int m = parseInt(firstLine[1]);

        Map<Integer, Integer> removed = new HashMap<>();

        for (int i = 0; i < m; i++) {
            int v = parseInt(reader.readLine());
            int level = bitLength(v);
            int ans = pow_2[a - level] - removed.getOrDefault(v, 0);
            ans = (ans + MOD) % MOD; // Work around modulo of negative numbers
            int mask = ((1 << level) - 1) & v;
            while (mask > 0) {
                mask -= 1 << (bitLength(mask) - 1);
                removed.put(mask, (removed.getOrDefault(mask, 0) + ans) % MOD);
            }
            System.out.println(ans);
        }
    }

    private int bitLength(int v) {
        return Integer.SIZE - Integer.numberOfLeadingZeros(v);
    }
}
