#include<iostream>
#include<sstream>
#include<string>
#include<map>
#include<vector>
using namespace std;

vector<string> parts;
map<string, int> lookup;

vector<int> split(const string &S) {
	vector<int> res;
	string cur;
	for (char ch : S) {
		if (ch == '/') {
			if (lookup.find(cur) == lookup.end())
				lookup[cur] = parts.size(), parts.push_back(cur);
			res.push_back(lookup[cur]);
			cur = "";
		} else {
			cur.push_back(ch);
		}
	}
	if (lookup.find(cur) == lookup.end())
		lookup[cur] = parts.size(), parts.push_back(cur);
	res.push_back(lookup[cur]);
	return res;
}

int main() {
	string A, B;
	cin >> A >> B;

	vector<int> a = split(A), b = split(B);

	int i=0, j=0, n = a.size(), m = b.size();
	while (a[i] == b[i]) i++;
	while (a[n-1-j] == b[m-1-j]) j++;

	// prefix
	for (int l=0; l<i; l++)
		cout << parts[a[l]] << '/';
	cout << '{';
	if (i != n-j) cout << parts[a[i]];
	for (int l=i; ++l < n-j; )
		cout << '/' << parts[a[l]];
	cout << " => ";
	if (i != m-j) cout << parts[b[i]];
	for (int l=i; ++l < m-j; )
		cout << '/' << parts[b[l]];
	cout << '}';

	for (int l=n-j; l < n; l++)
		cout << '/' << parts[a[l]];
	return 0;
}
