def update(index, value, fenwick_tree):
    while index < len(fenwick_tree):
        fenwick_tree[index] += value
        index += index & -index


def get_sum(index, fenwick_tree):
    ans = 0
    while index > 0:
        ans += fenwick_tree[index]
        index -= index & -index
    return ans


n, k = [int(x) for x in input().split()]

days_of_thickness = [0] * 1_000_010
thickness = 0
for temp in input().split():
    thickness = max(0, thickness - int(temp))
    days_of_thickness[min(1_000_005, thickness // 5)] += 1

fenwick_tree = [0] * 1_000_020
for i, v in enumerate(days_of_thickness, start=1):
    if v > 0:
        update(i, v, fenwick_tree)
ice_days = get_sum(1_000_010, fenwick_tree)

print(*(n - get_sum(int(person), fenwick_tree) for person in input().split()))
