// @EXPECTED_RESULTS@: ACCEPTED,WRONG_ANSWER,RUN_TIME_ERROR
#include <iostream>
#include <algorithm>
#include <list>
#include <queue>
#include <math.h>

using namespace std;

typedef pair<int, int> intpair;

int n;

list<pair<int, int>> *adj;

int main() {
	cin >> n;
	adj = new list<pair<int,int>>[n+1];
	int m, s, t, c;
	cin >> m >> s >> t >> c;

	for (int i = 0; i < m; i++) {
		int u, v, p;
		cin >> u >> v >> p;
		adj[u].push_back({v, p});
		adj[v].push_back({u, p});
	}

	priority_queue<intpair> pq;

	vector<int> dist(n, -1);

	pq.push({c, s});
	dist[s] = c;

	while (!pq.empty()) {
		auto p = pq.top();
		auto u = p.second;
		auto c = p.first;
		pq.pop();
		if (dist[u] != c) {
			continue;
		}

		for (auto it = adj[u].begin(); it != adj[u].end(); it++) {
			int v = (*it).first;
			int perc = (*it).second;

			int newCandies = floor((100 - perc) / 100.0 * dist[u]);

			if (dist[v] < newCandies) {
				dist[v] = newCandies;
				pq.push({dist[v], v});
			}
		}
	}

	cout << dist[t] << endl;

	return 0;
}
