#include <iostream>
#include <unordered_map>
#include <utility>
#include <vector>
using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<ll, ll> ii;
typedef vector<ll> vi;
typedef vector<vi> vvi;
typedef vector<ii> vii;

#define x first
#define y second
#define pb push_back
#define eb emplace_back
#define all(v) (v).begin(), (v).end()

const ll MOD = 1000000007;

ll modPow(ll a, ll b) {
	ll r = 1;
	while (b > 0) {
		if (b%2 == 1) r = (r*a)%MOD;
		a = (a*a)%MOD;
		b /= 2;
	}
	return r;
}

void run() {
	ll a, m;
	cin >> a >> m;

	unordered_map<ll, ll> nRemoved;
	for (ll i = 0; i < m; i++) {
		ll v;
		cin >> v;
		ll d = 0;
		while ((1ll<<d) <= v) d++;
		ll r = modPow(2, a-d) - nRemoved[v];
		r = (r%MOD + MOD)%MOD;

		for (ll p = 1ll<<d; p > 0; p /= 2) {
			if ((v&p) != 0) {
				v -= p;
				nRemoved[v] += r;
			}
		}
		cout << r << "\n";
	}
}

signed main() {
    ios_base::sync_with_stdio(false); cin.tie(0);
    run();
    return 0;
}
