import java.io.*;

import static java.lang.Integer.*;

public class MaartenHistogramMillionPrints {
    public static void main(String[] args) throws IOException {
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            new MaartenHistogramMillionPrints().run(reader);
        }
    }

    public void run(BufferedReader reader) throws IOException {
        String[] firstLine = reader.readLine().split(" ");
        int n = parseInt(firstLine[0]);
        int s = parseInt(firstLine[1]);

        int[] bins = new int[n];

        String[] xs = reader.readLine().split(" ");
        for (String x : xs) {
            bins[(Integer.parseInt(x) - 1) / s]++;
        }

        int maximum = 0;
        for (int bin : bins) {
            maximum = max(maximum, bin);
        }

        for (int y = maximum; y > 0; y--) {
            for (int x = 0; x < n; x++) {
                System.out.print(bins[x] < y ? "." : "#");
            }
            System.out.println();
        }
        System.out.println("-".repeat(n));
    }
}
