#include<algorithm>
#include<iostream>
#include<vector>
#include<unordered_map>
using namespace std;

const int INF = 1000;

// 1 = player1, -1 = player2
int n, m, g[20]; // g[i] is a bitset

namespace std { template<class T1, class T2>
struct hash<pair<T1,T2>> { public:
	size_t operator()(const pair<T1,T2> &p) const {
		size_t x = hash<T1>()(p.first), y = hash<T2>()(p.second);
		return x ^ (y + 0x9e3779b9 + (x<<6) + (x>>2));
	}
}; }

int pc[1<<20];
unordered_map<pair<int,int>, int> best_score;

int alphabeta(vector<int> &moves, int sum, int p0, int p1, int alpha, int beta, bool isp0) {
	if (moves.empty())
		return sum;

	if (isp0) {
		// maximizing player
		int value = -INF;
		for (unsigned int i=0; i < moves.size(); i++) {
			int cur = moves[i], new_p0 = p0 | (1<<cur), inc = pc[g[cur] & p1];

			swap(moves[i], moves.back());
			moves.pop_back();
			value = max(value, alphabeta(moves, sum+inc, new_p0, p1, alpha, beta, false));
			moves.push_back(moves[i]);
			moves[i] = cur;

			alpha = max(alpha, value);
			if (value >= beta) break;
		}
		return value;
	} else {
		// minimizing player
		int value = INF;
		for (unsigned int i=0; i < moves.size(); i++) {
			int cur = moves[i], new_p1 = p1 | (1<<cur), inc = -pc[g[cur] & p0];

			swap(moves[i], moves.back());
			moves.pop_back();
			value = min(value, alphabeta(moves, sum+inc, p0, new_p1, alpha, beta, true));
			moves.push_back(moves[i]);
			moves[i] = cur;

			beta = min(beta, value);
			if (value <= alpha) break;
		}
		return value;
	}
}

/*
int maximax(int me, int he, int alpha, int beta, vector<int> &moves, int player) {
	if (moves.empty()) return 0;

	auto it = best_score.find(make_pair(me, he));
	if (it != best_score.end()) return it->second;

	int res = -INF;
	for (unsigned int i=0; i < moves.size(); i++) {
		int cur = moves[i], new_me = me | (1<<cur), inc = pc[g[cur] & he];

		swap(moves[i], moves.back());
		moves.pop_back();
		res = max(res, inc - maximax(he, new_me, -beta, -alpha, moves, -player));
		moves.push_back(moves[i]);
		moves[i] = cur;

		if (res > alpha) alpha = res;
		if (res >= beta) break;

		if (moves.size() == n && res > 0) return 1;
	}
	return best_score[make_pair(me, he)] = res;
}
*/

int main() {
	cin >> n >> m;
	for (int i=0,a,b; i<m; i++) {
		cin >> a >> b;
		a--; b--;
		g[a] |= 1<<b;
		g[b] |= 1<<a;
	}

	pc[0] = 0;
	for (int i=1; i < (1<<20); i++)
		pc[i] = pc[i/2] + (i&1);

	vector<int> moves(n);
	for (int i=0; i<n; i++) moves[i] = i;
	sort(moves.begin(), moves.end(), [] (int a, int b) -> bool {
		return pc[g[a]] < pc[g[b]];
	});

	int result = alphabeta(moves, 0, 0, 0, -INF, INF, true);

	if (result > 0) cout << "player 1" << endl;
	if (result ==0) cout << "tie" << endl;
	if (result < 0) cout << "player 2" << endl;

	cerr << "Result: " << result << endl;
	return 0;
}	
