#include <iostream>
#include <unordered_map>
#include <vector>

using namespace std;

int n, m;
vector<long long> adj;
unordered_map<long long, int> score;

int get_score(long long game, long long player, int depth) {
	if(score.find(game) != score.end()) return score[game];
	int best_score = -50;
	for(long long i = 0; i < n; i++) {
		if((game >> 2LL * i) % 4 == 0) {
			int ct = 0;
			for(long long int j = 0; j < n; j++) {
				if(adj[i] & (1LL << j)) {
					if((game >> 2LL * j) % 4 == 3 - player) ct++;
				}
			}
			/*cerr << "Had game " << game << " with the guy who played " << i <<
			    " equal to " << ((game >> 2LL*i) % 4) << "; now adding " <<
			    (player << 2LL*i) << " to get " << (game + (player << 2LL*i)) <<
			    " where player " << (((game + (player << 2LL*i)) >> 2LL*i) % 4) <<
			    " plays position " << i << ".\n";*/
			best_score = max(best_score,
			                 ct - get_score(game + (player << 2LL * i), 3LL - player, depth + 1LL));
		}
	}
	if(best_score == -50) best_score = 0;
	score[game] = best_score;
	return best_score;
}

int main() {
	cin >> n >> m;
	adj = vector<long long>(n, 0);
	for(int i = 0; i < m; i++) {
		long long a, b;
		cin >> a >> b;
		a -= 1;
		b -= 1;
		adj[a] |= (1LL << b);
		adj[b] |= (1LL << a);
	}
	int empty_score = get_score(0, 1, 0);
	if(empty_score > 0)
		cout << "player 1" << endl;
	else if(empty_score == 0)
		cout << "tie" << endl;
	else
		cout << "player 2" << endl;
}
