#include <iostream>
#include <tuple>
#include <algorithm>
#include <set>
#include <vector>
#include <map>

using namespace std;

bool canMakeWeight(int arr[], int n, int s, int skip) {
	bool can[s + 1];
	for (int i = 0; i <= s; i++) {
		can[i] = false;
	}

	can[0] = true;

	for (int i = 0; i < n; i++) {
		if (skip == i) {
			continue;
		}
		for (int w = s; w >= arr[i]; w--) {
			if (can[w - arr[i]]) {
				can[w] = true;
			}

			if (w == s && can[w]) {
				return true;
			}
		}
	}

	return can[s];
}

int main() {
	int n;
	cin >> n;
	int weights[n];
	int sum = 0;

	for (int i = 0; i < n; i++) {
		cin >> weights[i];
		sum += weights[i];
	}

	vector<int> moles;

	for (int i = 0; i < n; i++) {
		auto m = weights[i];

		if ((sum - m) % 2 == 1) {
			continue;
		}

		if (canMakeWeight(weights, n, (sum - m) / 2, i)) {
			moles.push_back(i + 1);
		}
	}

	cout << moles.size() << endl;
	for (auto it = moles.begin(); it != moles.end(); it++) {
		if (it != moles.begin()) {
			cout << " ";
		}
		cout << (*it);
	}

	cout << endl;

	return 0;
}

