import java.io.*;
import java.util.*;

import static java.lang.Integer.*;

public class MaartenIceOverflow {
    public static void main(String[] args) throws IOException {
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            new MaartenIceOverflow().run(reader);
        }
    }

    public void run(BufferedReader reader) throws IOException {
        String[] firstLine = reader.readLine().split(" ");
        int n = parseInt(firstLine[0]);
        int k = parseInt(firstLine[1]);

        int thickness = 0;

        int[] ice = new int[n];

        String[] temps = reader.readLine().split(" ");
        for (int i = 0; i < n; i++) {
            ice[i] = (thickness = max(0, thickness - parseInt(temps[i]))) / 5;
        }
        Arrays.sort(ice);

        StringJoiner res = new StringJoiner(" ");
        for (String person : reader.readLine().split(" ")) {
            int toFind = parseInt(person) - 1;
            int low = -1;
            int high = n;
            while (low + 1 < high) {
                int mid = (low + high)/2;
                if (ice[mid] <= toFind)
                    low = mid;
                else
                    high = mid;
            }
            res.add("" + (n - high));
        }
        System.out.println(res);
    }
}
