import java.io.*;
import java.util.*;

import static java.lang.Integer.*;

public class MaartenPruningWrongModulo {
    public static void main(String[] args) throws IOException {
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            new MaartenPruningWrongModulo().run(reader);
        }
    }

    public static final int MOD = 1_000_000_007;

    public void run(BufferedReader reader) throws IOException {

        String[] firstLine = reader.readLine().split(" ");
        int a = parseInt(firstLine[0]);
        int m = parseInt(firstLine[1]);

        Map<Integer, Integer> removed = new HashMap<>();

        for (int i = 0; i < m; i++) {
            int v = parseInt(reader.readLine());
            int level = bitLength(v);
            int ans = pow(2, a - level, MOD) - removed.getOrDefault(v, 0);
            // ans = (ans + MOD) % MOD; // Work around modulo of negative numbers
            int mask = ((1 << level) - 1) & v;
            while (mask > 0) {
                mask -= 1 << (bitLength(mask) - 1);
                removed.put(mask, (removed.getOrDefault(mask, 0) + ans) % MOD);
            }
            System.out.println(ans);
        }
    }

    private int pow(long base, int exp, int mod) {
        long ans = 1;
        while (exp > 0) {
            if ((exp & 1) == 1) {
                ans *= base;
                ans %= mod;
            }
            base *= base;
            base %= mod;
            exp >>= 1;
        }
        return (int) ans;
    }

    private int bitLength(int v) {
        return Integer.SIZE - Integer.numberOfLeadingZeros(v);
    }
}
