#include <iostream>
#include <iomanip>
#include <sstream>
#include <string>
#include <vector>
#include <queue>
#include <stack>
#include <map>
#include <list>
#include <set>
#include <algorithm>
#include <utility>
#include <functional>
#include <numeric>
#include <cassert>
#include <cmath>
#include <string>
#include <cctype>
#include <cstdio>
#include <cstdlib>

using namespace std;

#define DEBUGGING 1

#if defined(DEBUGGING)
#define debug(...) fprintf(stderr,__VA_ARGS__)
#else
#define debug(...)
#endif

int main()
{
	int n,m;
	cin >> n >> m;
	int s,t,c;
	cin >> s >> t >> c;

	vector<vector<vector<int>>> border(n+1, vector<vector<int>>());
	for(int i=0; i<m; i++) {
		int u,v,p;
		cin >> u >> v >> p;
		border[u].push_back({v,p});
		border[v].push_back({u,p});
	}

	vector<int> bestc(n+1,0);

	priority_queue<pair<int,int>> q;
	q.push(make_pair(c,s));

	while ( !q.empty() ) {
		pair<int,int> tmp = q.top();
		q.pop();

		int c = tmp.first;
		int u = tmp.second;

		if ( bestc[u]>=c ) continue;
		bestc[u] = c;

		for(size_t i=0; i<border[u].size(); i++) {
			int v = border[u][i][0];
			int p = border[u][i][1];

			q.push(make_pair(c*(100-p)/100,v));
		}
	}

	cout << bestc[t] << endl;

	return 0;
}
